upstream backend {
  server ${BACKEND_HOST}:${BACKEND_PORT};
}

server {
  listen 80;

  location / {
      root   /usr/share/nginx/html;
      index  index.html index.htm;
  }

  location /api {
      proxy_pass http://backend/;
      proxy_set_header   Host $host;
      proxy_set_header   X-Real-IP $remote_addr;
      proxy_set_header   X-Forwarded-Host $server_name;
  }
}
